#!/bin/sh
#
# switch for some fvwm2 themes using wmctrl
# useful for cde
#

rmode="$1"
wrap="$2"  # if = nowrap prevent wrapping

if test "$rmode" = init
then
    exit 0
fi

max_desk=`wmctrl -d | wc -l | sed 's/ //g'`
max_desk=let max_desk=max_desk-1

now=`wmctrl -d | grep '^[0-9]  \*' | cut -c '1-2' | sed 's/ //g'`

#------------------------------------------------------------------------------
# process
#------------------------------------------------------------------------------
case "$rmode" in
    "0"|"1"|"2"|"3"|"4"|"5"|"6"|"7"|"8"|"9"|"10"|"11"|"12"|"13"|"14"|"15"|"16"|"17"|"18"|"19")
	if test "$rmode" -le "$max_desk"
	then
	    wmctrl -s "$rmode"
	fi
	;;
    "next")
	nd=`expr $now + 1`
	if test "$nd" -gt "$max_desk"
	then
	    nd=0
	fi
	wmctrl -s "$nd"
	;;
    "prev")
	if test "$now" -eq "0"
	then
	    nd="$max_desk"
	else
	    nd=`expr $now - 1`
	fi
	wmctrl -s "$nd"
	;;
    "up4"|"down4")
	# move down when 4 desktops
        #    0 1
        #    2 3
	case "$now" in
	    "0")
		if test "$wrap" = "nowrap" -a "$rmode" = "up4"
		then
		    exit 0
		fi
		nd=2
		;;
	    "1")
		if test "$wrap" = "nowrap" -a "$rmode" = "up4"
		then
		    exit 0
		fi
		nd=3
		;;
	    "2")
		if test "$wrap" = "nowrap" -a "$rmode" = "down4"
		then
		    exit 0
		fi
		nd=0
		;;
	    "3")
		if test "$wrap" = "nowrap" -a "$rmode" = "down4"
		then
		    exit 0
		fi
		nd=1
		;;
	esac
	wmctrl -s "$nd"
	;;
    "left4"|"right4")
	# move down when 4 desktops
        #    0 1
        #    2 3
	case "$now" in
	    "0")
		if test "$wrap" = "nowrap" -a "$rmode" = "left4"
		then
		    exit 0
		fi
		nd=1
		;;
	    "1")
		if test "$wrap" = "nowrap" -a "$rmode" = "right4"
		then
		    exit 0
		fi
		nd=0
		;;
	    "2")
		if test "$wrap" = "nowrap" -a "$rmode" = "left4"
		then
		    exit 0
		fi
		nd=3
		;;
	    "3")
		if test "$wrap" = "nowrap" -a "$rmode" = "right4"
		then
		    exit 0
		fi
		nd=2
		;;
	esac
	wmctrl -s "$nd"
	;;
esac

#------------------------------------------------------------------------------
# done
#------------------------------------------------------------------------------
exit 0
