#!/bin/sh
#
# start clients
#
#

export HTHEME=$HOME/.fvwm/cde

if [ "$OS" = "" ]; then
    export OS=`uname -s`
fi
if [ "$HOST" = "" ]; then
    export HOST=`uname -n | awk -F '.' '{print $1}'`
fi

###############################################################################
# MAIN
###############################################################################
rmode="$1"

echo "fvwm2" > $HOME/.jmc_window_manager

if [ -x $HTHEME/bin/set_res.sh ]; then
. $HTHEME/bin/set_res.sh
fi

type killall > /dev/null 2>&1
if [ "$?" -eq "0" ]; then
    fkill=killall
else
    fkill=pkill
fi

#--- start non-tray items

if [ "$rmode" = "init" ]; then
    if [ "$OS" != "OpenBSD" ]; then
	type xscreensaver > /dev/null 2>&1
	if [ "$?" -eq "0" ]; then
	    $fkill xscreensaver    > /dev/null 2>&1
	    xscreensaver -no-splash &
	fi
    fi
    if [ -x $HOME/.lastX_root.sh ]; then
	$HOME/.lastX_root.sh &
    fi
    if [ -x $HOME/bin/Util/start_remind.sh ]; then
	$HOME/bin/Util/start_remind.sh &
    fi
fi

#--- for stalonetray
type stalonetray > /dev/null 2>&1
if [ "$?" -ne "0" ]; then
    exit 0
fi

$fkill blueman-applet  > /dev/null 2>&1
$fkill cbatticon       > /dev/null 2>&1
$fkill clipit          > /dev/null 2>&1
$fkill kmix            > /dev/null 2>&1
$fkill nm-applet       > /dev/null 2>&1
$fkill parcellite      > /dev/null 2>&1
$fkill wmsystemtray    > /dev/null 2>&1

type notify-send > /dev/null 2>&1
if [ "$?" -eq "0" ]; then
    fnotify=notify-send
    farg1=""
    farg2=""
else
    fnotify=xmessage
    farg1="-timeout 2"
    farg2="-timeout 5"
fi

#--- nm-applet should be first
case "$HOST" in
    "jmclin0")
	clipit &
	;;
    "jmclin1")
	nm-applet &
	sleep 1
	clipit &
	cbatticon -c "$fnotify $farg2 'WARNING Battery Critical'" \
		  -x "$fnotify $farg1 `upower -i /org/freedesktop/UPower/devices/battery_BAT0 | grep percentage:`" &
	blueman-applet &
	;;
    "hairball")
	# not needed
	;;
    "obsd2")
	# not needed
	;;
    *)
	$fnotify "$farg1" "`basename $0` $OS $HOST not supported for stalonetray" &
	;;
esac

exit 0
